List all the subscribed mailboxes

- « imap_listsubscribed

- imap_mail_compose »

- PHP Manual
- IMAP Functions
- List all the subscribed mailboxes

# imap_lsub

(PHP 4, PHP 5, PHP 7, PHP 8)

imap_lsub — List all the subscribed mailboxes

### Description

imap_lsub(IMAP\Connection `$imap`, string `$reference`, string `$pattern`): array|false

Gets an array of all the mailboxes that you have subscribed.

### Parameters

`imap`

  An IMAP\Connection instance.

`reference`

  `reference` should normally be just the server specification as described in imap_open()

  Warning

  Passing untrusted data to this parameter is insecure, unless imap.enable_insecure_rsh is disabled.

`pattern`

  Specifies where in the mailbox hierarchy to start searching.

  There are two special characters you can pass as part of the `pattern`: '`*`' and '`%`'. '`*`' means to return all mailboxes. If you pass `pattern` as '`*`', you will get a list of the entire mailbox hierarchy. '`%`' means to return the current level only. '`%`' as the `pattern` parameter will return only the top level mailboxes; '`~/mail/%`' on `UW_IMAPD` will return every mailbox in the ~/mail directory, but none in subfolders of that directory.

### Return Values

Returns an array of all the subscribed mailboxes, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `imap` parameter expects an IMAP\Connection instance now; previously, a valid `imap` resource was expected.

### See Also

- imap_list() - Read the list of mailboxes
- imap_getmailboxes() - Read the list of mailboxes, returning detailed information on each one